import { jsx } from "react/jsx-runtime";
import { TokenYOSHI as TokenYOSHI$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenYOSHI = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "YOSHI", "data-name": "TokenYOSHI", ...props, children: /* @__PURE__ */ jsx(TokenYOSHI$1, { variant }) });
  }
);
TokenYOSHI.displayName = "TokenYOSHI";
Object.assign(TokenYOSHI, { isGdsIcon: true });
export {
  TokenYOSHI
};
